> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Logs uploader usage statistics

> Get information about Logs uploader usage statistics for up to 90 days starting today.

Request URL parameters should be added as a query string after the endpoint.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml get /cdn/statistics/raw_logs_usage/series
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/statistics/raw_logs_usage/series:
    get:
      tags:
        - Statistics
      summary: Logs uploader usage statistics
      description: >-
        Get information about Logs uploader usage statistics for up to 90 days
        starting today.


        Request URL parameters should be added as a query string after the
        endpoint.
      operationId: raw-logs-usage-statistics
      parameters:
        - $ref: '#/components/parameters/query_statistics_From'
        - $ref: '#/components/parameters/query_statistics_To'
        - $ref: '#/components/parameters/query_statistics_Resource'
        - $ref: '#/components/parameters/query_statistics_Client'
      responses:
        '200':
          $ref: '#/components/responses/StatisticsPaidFeaturesSeries'
        '204':
          description: No data for the requested time period.
components:
  parameters:
    query_statistics_From:
      in: query
      name: from
      schema:
        type: string
      required: true
      description: |-
        Beginning of the requested time period (ISO 8601/RFC 3339 format, UTC.)

        Example:
        - &from=2018-12-01T00:00:00.000
    query_statistics_To:
      in: query
      name: to
      schema:
        type: string
      required: true
      description: |-
        End of the requested time period (ISO 8601/RFC 3339 format, UTC.)

        Example:
        - &to=2018-12-01T01:00:00.000
    query_statistics_Resource:
      in: query
      name: resource
      schema:
        type: integer
      description: |-
        CDN resources IDs.

        To request multiple values, use:
        - &resource=1&resource=2
    query_statistics_Client:
      in: query
      name: client
      schema:
        type: integer
      description: |-
        Client accounts IDs.

        To request multiple values, use:
        - &client=1&client=2
  responses:
    StatisticsPaidFeaturesSeries:
      description: Successful.
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/StatisticsPaidFeaturesSeries'
          examples:
            default:
              $ref: '#/components/examples/StatisticsPaidFeaturesSeries'
  schemas:
    StatisticsPaidFeaturesSeries:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_statistics_ID'
        active_from:
          allOf:
            - $ref: '#/components/schemas/body_response_statistics_ActiveFrom'
        active_to:
          allOf:
            - $ref: '#/components/schemas/body_response_statistics_ActiveTo'
        client_id:
          allOf:
            - $ref: '#/components/schemas/body_response_client_ID'
        cname:
          allOf:
            - $ref: '#/components/schemas/body_response_statistics_Cname'
    body_response_statistics_ID:
      type: integer
      description: Internal feature activation ID.
    body_response_statistics_ActiveFrom:
      type: string
      description: >-
        Date and time when paid feature was enabled (ISO 8601/RFC 3339 format,
        UTC.)
    body_response_statistics_ActiveTo:
      type: string
      nullable: true
      description: >-
        Date and time when paid feature was disabled (ISO 8601/RFC 3339 format,
        UTC.)


        Returns **null** if the paid feature is enabled.
    body_response_client_ID:
      type: integer
      description: Client account ID.
    body_response_statistics_Cname:
      type: string
      description: CDN resource CNAME.
  examples:
    StatisticsPaidFeaturesSeries:
      value:
        - id: 1
          active_from: '2020-01-21T04:36:35.473Z'
          active_to: null
          client_id: 1
          cname: resource-1.com
        - id: 2
          active_from: '2020-03-21T04:36:30.269Z'
          active_to: '2020-04-21T04:36:33.062Z'
          client_id: 1
          cname: resource-2.com
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````